package application;

import javafx.fxml.FXML;
import javafx.scene.control.TextArea;
import javafx.scene.input.MouseEvent;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

import javafx.event.ActionEvent;

/**
 * Controller class for MainPane.fxgraph(.fxml)
 * 
 * @author Pavel Bory
 *
 */
public class MainPaneController {
	private static final Logger logger = LogManager.getLogger(MainPaneController.class);
	
	@FXML
	private TextArea textAreaCode;
	
	@FXML 
	public void btnLoadCodeClicked(MouseEvent event) {
		logger.trace("btnLoadCodeClicked event fired");
		Main.loadCodeForActor(textAreaCode.getText());
		logger.trace("btnLoadCodeClicked event handled");
	}

	@FXML 
	public void btnSimulationStepClicked(MouseEvent event) {
		logger.trace("btnSimulationStepClicked event fired");
		Main.step();
		logger.trace("btnSimulationStepClicked event handled");
	}

	@FXML 
	public void mnuFileLoadWorldOnAction() {
		logger.trace("mnuFileLoadWorldOnAction event fired");
		Main.loadWorldFromFile();
		logger.trace("mnuFileLoadWorldOnAction event handled");
	}

	@FXML 
	public void btnSimulationRunClicked(MouseEvent event)	{
		logger.trace("btnSimulationRunClicked event fired");
		Main.run();
		logger.trace("btnSimulationRunClicked event handled");
	}

	@FXML 
	public void btnSimulationResetClicked(MouseEvent event) {
		logger.trace("btnSimulationResetClicked event fired");
		Main.reset();
		logger.trace("btnSimulationResetClicked event handled");
	}

	@FXML 
	public void mnuDebugInfo(ActionEvent event) {
		logger.trace("mnuDebugInfo event fired");
		Main.showDebugInfoDialog();
		logger.trace("mnuDebugInfo event handled");
	}

	@FXML 
	public void btnClearTextAreaActorsOutputClicked(MouseEvent event)	{
		logger.trace("btnClearTextAreaActorsOutputClicked event fired");
		Main.clearActorsOutput();
		logger.trace("btnClearTextAreaActorsOutputClicked event handled");
	}
}