package application.world;

import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;

/**
 * Represents the Actor in Simulation World. This class serves in the Java Part of the application
 * to store actors coordinates, that are synchronized after each performed action.
 * 
 * In future it could be extended for example by storing information like "last performed action" and other things
 * that "Ruby Actor can do".
 * 
 * @author Pavel Bory
 *
 */
public class Actor {
	private static final Logger logger = LogManager.getLogger(Actor.class);
	
	private long positionX;
	private long positionY;
	
	public Actor(long positionX, long positionY){
		this.positionX = positionX;
		this.positionY = positionY;
		logger.trace("Created instance of Actor at posion: x={},y={}",this.positionX,this.positionY);
	}
	
	public long getPositionX() {
		return positionX;
	}
	public void setPositionX(long positionX) {
		logger.trace("Changing position of actor's x-coordinate from {} to {}",this.positionX,positionX);
		this.positionX = positionX;
	}
	public long getPositionY() {
		return positionY;
	}
	public void setPositionY(long positionY) {
		logger.trace("Changing position of actor's y-coordinate from {} to {}",this.positionY,positionY);
		this.positionY = positionY;
	}
}
