package application.world;

/**
 * Represents the state of the Simulation World. See comments for the world states defined below.
 * 
 * @author Pavel Bory
 *
 */
public enum WorldState {
	// Initial state. The Simulation can't be started. No Code for Actor loaded yet.
	INITIAL,
	// World is ready to start the simulation
	READY,
	// Simulation is paused - during the continuous simulation execution or because user performs single steps
	PAUSED,
	// Simulation is running in continuous mode
	RUNNING,
	// Simulation has been terminated.
	TERMINATED
}
