package application.world.ruby;

import java.util.HashMap;

/**
 * The interface used for Java - Ruby integration. It is implemented by Ruby Actor class, so the methods on Ruby instance of Actor
 * can be invoked directly on a Java Object and ScriptingContainer maintains the Ruby object method calls.
 * 
 * @author Pavel Bory
 *
 */
public interface IRubyActor {
	void setPositionX(long position);
	void setPositionY(long position);
	void loadActorActionMethod(String code);
	void setInput(String input);
	RubyActorActionType makeAction();
	HashMap<String, Object> getData();
	String gatherOutputText();
}
