package application.world.tests;

import static org.junit.Assert.*;

import java.io.File;
import java.io.IOException;

import javax.xml.parsers.ParserConfigurationException;

import org.junit.Test;
import org.xml.sax.SAXException;

import application.Main;
import application.world.WorldSettings;
import javafx.application.Platform;
import javafx.embed.swing.JFXPanel;
import javafx.scene.paint.Color;
import javafx.stage.Stage;

public class WorldSettingsTest {
	
	@Test
	public void testLoadSettings() throws SAXException, IOException, ParserConfigurationException, InterruptedException {
		// Because several classes which needs JavaFX platform to be initialized, are used, the following simple
		// JavaFX app initialization is implemented.
		Thread thread = new Thread(new Runnable() {
            @Override
            public void run() {
                new JFXPanel(); // Initializes the JavaFx Platform
                Platform.runLater(new Runnable() {
                    @Override
                    public void run() {
                        new Main().start(new Stage());
                    }
                });
            }
        });
        thread.start();
        
        File worldFile = new File(Main.DefaultWorldFilePath);
		WorldSettings worldSettings;
        worldSettings = WorldSettings.load(worldFile);
		assertEquals(0,worldSettings.getActorInitialPositionX());
		assertEquals(9,worldSettings.getActorInitialPositionY());
		assertEquals(Color.GREEN, worldSettings.getGridCellColors()[0][9]);
		assertEquals(Color.BLUE, worldSettings.getGridCellColors()[0][3]);
		assertEquals("31",worldSettings.getGridWorldItems()[0][4].getValue());
	}

}
